echo Extracting the FSDK from OSR

d=`pwd`
N=`ls codafsdk_v*.zip | wc -l`

if ! type unzip >& /dev/null ; then
  echo You need to get run the Cygwin setup and get the Archive/unzip package.
  exit 1
fi

if [ $N -eq 0 ] ; then
  echo You must have the coda fsdk .zip distribution in this directory.
  exit 1
fi

if [ $N -gt 1 ] ; then
  echo You mush have only one coda fsdk .zip distributin in this directory.
  exit 1
fi

F=`ls codafsdk_v*.zip`
echo Extracting $F in `pwd`.

cd coda
rm -rf chk checked obj*
mkdir chk
cd chk
rm -rf lib
unzip $d/$F
rm -rf lib/nt4 lib/wnet
cp inc.fsdk/* ..
more EulaCoda.txt
